Package org.bukkit.block.data

# Interface Attachable

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Tripwire`, `TripwireHook`

public interface Attachable extends BlockData
'attached' denotes whether a tripwire hook or string forms a complete tripwire circuit and is ready to trigger.
Updating the property on a tripwire hook will change the texture to indicate a connected string, but will not have any effect when used on the tripwire string itself. It may however still be used to check whether the string forms a circuit.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAttached()`
Gets the value of the 'attached' property.
`void`
`setAttached(boolean attached)`
Sets the value of the 'attached' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### isAttached

boolean isAttached()
Gets the value of the 'attached' property.

Returns:
  the 'attached' value

### setAttached

void setAttached(boolean attached)
Sets the value of the 'attached' property.

Parameters:
  `attached` - the new 'attached' value